db = db.getSiblingDB('kspace_accounting');
db.createUser({
    user: 'kspace_accounting',
    pwd: 'salakala',
    roles: [{
        role: 'readWrite',
        db: 'kspace_accounting'
    }]
});

db.createCollection("member");
var mc = db.getCollection("member");
mc.insertOne({
    _id: ObjectId('603f9fb06154de0006f6f537'),
    billing_aliases: [],
    billing_entity: null,
    first_name: 'Mickey',
    full_name: 'Mickey Mouse',
    member: true,
    joined: ISODate('2020-09-05T00:00:00.000Z'),
    last_name: 'Mouse',
    mail_alias: 'mickey.mouse@k-space.ee',
    tier: 'resident',
    type: 'person',
    username: 'mickey.mouse',
    rules_acknowledged: [],
    ad: {
        username: 'mickey',
        provisioned: true,
        enabled: true
    },
    full_name_normalized: 'mickey mouse',
    enabled: true,
    hosted: {},
    mail: 'mickey.mouse@disney.com',
    access: {
        floor: true,
        board: true
    },
    slack: {
        user_id: 'U0199999999',
        real_name: 'Mickey Mouse',
        last_seen: ISODate('2020-11-01T19:47:18.935Z'),
        enabled: true
    },
    rules_acked: '2020-10-30',
    profile: {
        blurb: '-',
        phone: '',
        'public': false,
        homepage: '',
        show_personal_mail: false,
        show_phone: false,
        show_payments: false
    },
    onboarding: {
        rules_acked: '2020-10-30'
    },
    trust: {}
});


db.createCollection("cashflow");
var cc = db.getCollection("cashflow");
cc.insertOne({
    _id: ObjectId('5fa86192dcd888848c2b7e9a'),
    member_id: ObjectId('603f9fb06154de0006f6f537'),
    peer_account: 'membership',
    timestamp: '2020-02-05',
    type: 'cost',
    amount: -30,
    exempted: 0,
    full_name: 'Mickey Mouse',
    transaction_id: 0
});

cc.insertOne({
    _id: ObjectId('5faee1b8dcd888848cac8576'),
    reference: '202001211229999999-177699999',
    type: 'transaction',
    amount: 100,
    comment: 'clubhouse membership',
    credit_debit: 'crdt',
    peer_account: 'EE999999999999999999',
    peer_name: 'MICKEY MOUSE',
    peer_name_normalized: 'mickey mouse',
    self_account: 'EE888888888888888888',
    timestamp: '2020-01-21',
    category: 'membership-fee',
    member: 'Mickey Mouse',
    member_id: ObjectId('603f9fb06154de0006f6f537')
});

db.createCollection("eventlog");
var ec = db.getCollection("eventlog");
ec.insertOne({
    _id: ObjectId('5f932b3995f5d0644a6c4ab6'),
    started: ISODate('2020-10-23T19:12:57.281Z'),
    finished: ISODate('2020-10-23T19:13:02.729Z'),
    component: 'motion-detect',
    camera: 'backdoor',
    action: 'event',
    bla: ISODate('2020-10-23T19:12:57.281Z'),
    timestamp: ISODate('2020-10-23T19:12:57.281Z'),
    event: 'motion-detected'
});
ec.insertOne({
    _id: ObjectId('603656f5206d5c1a866fe5dd'),
    component: 'doorboy',
    timestamp: ISODate('2021-02-24T13:39:01.000Z'),
    door: 'back',
    event: 'card-swiped',
    success: true,
    token: {
        uid_hash: 'b6d99999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999963'
    },
    inventory: {
        owner: {
            foreign_id: ObjectId('603f9fb06154de0006f6f537'),
            display_name: 'Mickey Mouse'
        }
    }
});
ec.insertOne({
    _id: ObjectId('6037f4d28600bbde320dfefa'),
    method: 'web',
    approved: true,
    duration: 5,
    component: 'doorboy',
    type: 'open-door',
    door: 'ground',
    member_id: ObjectId('603f9fb06154de0006f6f537'),
    member: 'Mickey Mouse',
    timestamp: ISODate()
});

db.createCollection("inventory");
var ic = db.getCollection("inventory");
ic.insertOne({
    _id: ObjectId('5f9869e8dcd888848c81a4fb'),
    locker: {
        number: 69,
        total_keys: 2
    },
    first_seen: ISODate('2020-10-27T18:41:44.624Z'),
    inventory: {
        owner: 'K-SPACE MTÜ',
        claimable: true,
        managed: true,
        lendable: false,
        usable: true,
        owner: {
            foreign_id: ObjectId('604f9fb06154de0006f6f537'),
            display_name: 'K-SPACE MTÜ'
        },
        user: {
            foreign_id: ObjectId('603f9fb06154de0006f6f537'),
            display_name: 'Mickey Mouse'
        }
    },
    type: 'locker'
});
ic.insertOne({
    _id: ObjectId('6036ced95fd58dbdc3be5970'),
    mac: '94:83:c4:00:35:6e',
    first_mech: 'netpoller',
    first_seen: ISODate('2021-02-24T22:10:22.727Z'),
    inventory: {
        managed: true,
        claimable: true
    },
    ip: [
        '172.17.2.8'
    ],
    comment: 'Museum',
    last_seen: ISODate(),
    nic_vendor: 'GL Technologies (Hong Kong) Limited',
    'switch': {
        hostname: 'sw_cyber',
        ip: '172.23.0.141',
        port: 'ether3'
    },
    type: 'machine',
    vlan: {
        number: 2,
        name: 'VLAN0002_SEC'
    }
});
ic.insertOne({
    _id: ObjectId('5f9869e8dcd888848c81a46e'),
    mac: '00:1b:77:03:b6:88',
    action: 'AP-STA-DISCONNECTED',
    ap: 'comfast-927960',
    comment: 'Music machine',
    first_seen: ISODate('2020-10-22T15:18:32.585Z'),
    hostname: 'libre',
    inventory: {
        owner: {
            foreign_id: ObjectId('603f9fb06154de0006f6f537'),
            display_name: 'Mickey Mouse'
        },
        managed: true,
        claimable: true
    },
    ip: [
        '172.16.208.29',
        '2001:bb8:4008:1:b01f:c92:4cd2:45c9'
    ],
    last_component: 'dhcp',
    last_seen: ISODate(),
    nic_vendor: 'Intel Corporate',
    presence_detection: false,
    radio: {
        channel: 36,
        ap: 'comfast-927960',
        action: 'AP-STA-CONNECTED',
        name: 'wlan0-1',
        ssid: 'k-space.ee zoo'
    },
    claimable: true,
    'switch': {
        hostname: 'sw_chaos',
        ip: '172.23.0.121',
        port: 'ether1'
    },
    vlan: {
        number: 1,
        name: 'VLAN0001_PUB + bridge trunk'
    },
    type: 'machine'
});
ic.insertOne({
    "type": "token",
    "component": "doorboy",
    token: {
        "uid_hash": "b6d99999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999963",
        "enabled": true
    },
    inventory: {
        owner: {
            foreign_id: ObjectId('603f9fb06154de0006f6f537'),
            display_name: 'Mickey Mouse'
        }
    }
});
